Payments & FinancePayments
List payment methods
GET
/v1/payments/methodsList payment methods. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/payments/methods" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004325301", "code": "example_code", "name": "Example resource", "description": "Example description.", "kind": "offline", "isActive": false, "isDefault": false, "sortOrder": 1, "processingMode": "manual", "connectionId": "7204558912004325301", "providerMethodCode": "example_code", "phoneNumber": "+51987654321", "accountHolder": "example", "qrImageUrl": "https://example.com/resource", "brands": [ "example" ] }]